Subject: RE: IPv6 w.g. Last Call on "IPv6 Flow Label Specification"

From: [email-masked]
Date: Wed, 19 Mar 2003 09:52:31 +0200

Pekka Savola wrote:
> > "unintentionally" is exactly what it means, so there is no problem
> > doing this edit. This is related the API-issue above, as the
> > interface is required for the applications to be able to specify
> > which packets belong to which flow. No raw socket is needed for the
> > fiddling, as the interface enabling this is a MUST requirement
> > already! 
> 
> I'm not sure if I agree with your last sentence.  If an application 
> requests a specific flow label which is already used by another 
> application at the moment, should the node allow that or 
> return an error?
> 
> I'd argue for an error, with a possible exception of an app run with 
> "root" privileges.
> 

What if the "application" is composed of multiple processes? For example audio and data being sourced from two different processes, on two different transport connections, but sharing the same flow (e.g. shared resource reservation). Maybe the process first using a specific Flow Label should be able to specify which other processes could "share" the same labeling for their packets? 

However, this consideration is clearly out of scope for the flow label spec.

	Jarno

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Wed, 19 Mar 2003 17:57:26 +0200 (EET)

On Wed, 19 Mar 2003 [email-masked] wrote:
> What if the "application" is composed of multiple processes? For example
> audio and data being sourced from two different processes, on two
> different transport connections, but sharing the same flow (e.g. shared
> resource reservation). Maybe the process first using a specific Flow
> Label should be able to specify which other processes could "share" the
> same labeling for their packets?

Ok, youre correct: that's a valid application of flow labeling.

One way to work around this would be having the flow labeling function 
return some integer number on success, which could be used by other 
processes as a weak form of "key" to authorize and authenticate their use 
of the flow label.  But that's implementation issue also..
 
> However, this consideration is clearly out of scope for the flow label

Agreed.

(Even though it might be interesting to give some guidance on the
implementers on which checks the paragraph discussed would incur in the
implementation.)

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings